@import-normalize;

:root
{
  --bg-primary: #f8f8f8;
  --bg-secondary: #282c34;
  --bg-third: #fff;

  --text-primary: #fff;
  --text-secondary: #8eb4f0;
  --text-third: #888;

  --font-size-def: 14px;
  --font-size-m: 18px;

  --border-color-def: #888;
  --border-color-err: #ee3102;

}

body {
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen',
    'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue',
    sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  background-color: var(--bg-primary);
  font-size: var(--font-size-def);
 
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New',
    monospace;
}
#root
{
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}
main
{
  flex-grow: 1;
  position: relative;
}

.full-parent-height
{
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}

.flex-column
{
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}


.container
{
  max-width: 1170px;
  margin: auto;
}

button,
input
{
  outline: none;
}
a
{
  text-decoration: none;
}